namespace Plate.Templates
{
    static class TemplateHeaps
    {
        public static string build_hxml = @"-lib hlsdl
-lib heaps
-cp src
--debug
-main Main
-hl bin/Main.hl
";
        public static string main_hx = @"class Main extends hxd.App {
    override function init() {
        super.init();
    }

    override function update(dt:Float) {
        super.update(dt);
    }


    public static var inst: Main;
    
    static function main() {
        hxd.Res.initLocal();
        inst = new Main();    
    }
}";

    public static string launch_json = "{\n\t\"version\": \"0.2.0\",\n\t\"configurations\": [\n\t\t{\n\t\t\t\"name\": \"HashLink\",\n\t\t\t\"request\": \"launch\",\n\t\t\t\"type\": \"hl\",\n\t\t\t\"cwd\": \"${workspaceFolder}\",\n\t\t\t\"preLaunchTask\": {\n\t\t\t\t\"type\": \"haxe\",\n\t\t\t\t\"args\": \"active configuration\"\n\t\t\t}\n\t\t}\n\t]\n}";
    public static string tasks_json = "{\n\t\"version\": \"2.0.0\",\n\t\"tasks\": [\n\t\t{\n\t\t\t\"type\": \"haxe\",\n\t\t\t\"args\": \"active configuration\",\n\t\t\t\"group\": {\n\t\t\t\t\"kind\": \"build\",\n\t\t\t\t\"isDefault\": true\n\t\t\t}\n\t\t}\n\t]\n}";
    }
}